#ifndef SAVEHISTORYWIDGET_h
#define SAVEHISTORYWIDGET_H

#include <QtGui>
#include "molecule.h"
#ifndef PROGRAM_NAME
#define PROGRAM_NAME "shelXle"
#endif

#include "codeeditor.h"

class DragVersion  : public QLabel {
public:
        DragVersion(const int index,const QString &text, uint secs,const int cur, QWidget *parent=0);
        QString labelText() const;
        int index() const;
        uint secs() const;
//protected:
//	void paintEvent ( QPaintEvent * event ) ;

private:
        QString m_labelText;
        int m_index;
        uint m_secs;
};

class SaveHistoryWidget;

class DragDropVersions : public QWidget {
Q_OBJECT
public:
         DragDropVersions(QString filename, QWidget *parent = 0);
	 QString seit(int wann);
	 QString seitkurzem(int wann);
         QDateTime now;
	 QTimer *tick;
         friend class SaveHistoryWidget;
signals:
	 void indexChanged(int index);
public slots:
	void tack();
protected:
//	 void dragEnterEvent(QDragEnterEvent *event);
//	 void dragMoveEvent(QDragMoveEvent *event);
//	 void dropEvent(QDropEvent *event);
	 void mousePressEvent(QMouseEvent *event);
        // void mouseMoveEvent(QMouseEvent *event);
	 void paintEvent ( QPaintEvent * event ) ;
 private:
	 int itemheight,itemwidth,current,breite;
         QList<DragVersion *> dragVersions;
	 QStringList entries,headers;
	 QList<QDateTime> zeiten;
 };

class SaveHistoryWidget : public QDialog {
Q_OBJECT
public:
    SaveHistoryWidget(QString filename, QWidget *parent = 0, Qt::WindowFlags f = 0);
    QPushButton * ok;
//signals:
public slots:
	void tock();
	void updatePreview(int index);
	void accept();  
  private:
 int pvindex;
    CodeEditor *edi;
    QLabel *pvheader;
    DragDropVersions *dda;
    QString fileName,orginal;
};
#endif

